using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping.FM
{
    public class FMEquipmentIntegrationTaskMap : APTEntityBaseMap<T_FM_EQUIPMENT_INTEGRATION_TASK>
    {
        public override void Configure(EntityTypeBuilder<T_FM_EQUIPMENT_INTEGRATION_TASK> builder)
        {
            base.Configure(builder);
            builder.Property(t => t.CODE).HasMaxLength(30);
            builder.Property(t => t.NAME).HasMaxLength(100);
            builder.Property(t => t.NAME_ACRONYM).HasMaxLength(200);
            builder.Property(t => t.INTERFACE_ADDRESS).HasMaxLength(100);
            builder.Property(t => t.REMARK).HasMaxLength(200);
            builder.Property(t => t.READ_FILE_PATH).HasMaxLength(200);
            builder.Property(t => t.MOVE_FILE_PATH).HasMaxLength(200);
          
        }
    }
}
